# Toolbx

Base image for [Toolbx](https://containertoolbx.org/) images. It has the
following changes it make more interactive use oriented and suitable for
Toolbox:

- Removed Docker specific settings in APT.
- Use Flatpak XDG utils and add `flatpak-spawn` as they're more useful inside a
  toolbx container.
- Set the `VARIANT_ID` in `/etc/os-release`.
- Install `myhostname` nss plugin for cleaner hostname resolution.

Also. the following APT repositories are added:

- Heroku.
- Google Cloud.
- MongoDB.
- Hashicorp.
- [Cloud Posse](https://github.com/cloudposse/packages).
- [Charms](https://charm.sh/).
- Percona.
- ClickHouse.

This image is based in part on the [toolbx
image](https://github.com/toolbx-images/images) and my own
[workbench image](https://git.shore.co.il/shore/workbench).
